summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarius Brehler <marbre@linux.sungazer.de>2017-03-01 08:55:35 +0100
committerDavid Seifert <soap@gentoo.org>2017-03-02 08:50:35 +0100
commit9fc51873d42b5e52974a9b9a78f98e3278616507 (patch)
tree590887980735bfbcfd61971d48f8ed58a9283223 /dev-util
parentdev-ruby/rails: add rails 5.0.2 (diff)
downloadgentoo-9fc51873d42b5e52974a9b9a78f98e3278616507.tar.gz
gentoo-9fc51873d42b5e52974a9b9a78f98e3278616507.tar.bz2
gentoo-9fc51873d42b5e52974a9b9a78f98e3278616507.zip
dev-util/nvidia-cuda-toolkit: Version bump to 8.0.61
Package-Manager: Portage-2.3.3, Repoman-2.3.1 Closes: https://github.com/gentoo/gentoo/pull/4088
Diffstat (limited to 'dev-util')
-rw-r--r--dev-util/nvidia-cuda-toolkit/Manifest1
-rw-r--r--dev-util/nvidia-cuda-toolkit/nvidia-cuda-toolkit-8.0.61.ebuild135
2 files changed, 136 insertions, 0 deletions
diff --git a/dev-util/nvidia-cuda-toolkit/Manifest b/dev-util/nvidia-cuda-toolkit/Manifest
index 73fcfaa3277..42832641450 100644
--- a/dev-util/nvidia-cuda-toolkit/Manifest
+++ b/dev-util/nvidia-cuda-toolkit/Manifest
@@ -4,3 +4,4 @@ DIST cuda_6.5.19_linux_32.run 81882112 SHA256 9f767f38b84f52c097bec81669f99e4a6c
DIST cuda_6.5.19_linux_64.run 982446238 SHA256 5279bc159b72b7445d8aae5f289d24bb4042c35422ef32da68049d8f666d3ff5 SHA512 06854f020a5f72cf4bd714859e6966248ac2f589284113674e869fdaa1254cae27d4101940758ecda5df4724ad3e448a1f6d0c053b6cbc28107750872b6a5797 WHIRLPOOL 6ae8e53719e12997de60ec3688167f3fe33b1145d01217182e39ac386c25b358c8ba6cee45ad6c80e33ef66fd9a511338dce4589f10a31635b8437b6e528fd7a
DIST cuda_7.5.18_linux.run 1195424633 SHA256 08411d536741075131a1858a68615b8b73c51988e616e83b835e4632eea75eec SHA512 97459dfd124060200f1c43f763e5bce0bea53e35ed4bef72bee6c8ba1c04ecffb8695af11755443513316f91fdb5cb4d35662f7b87bca7e3de85d562d4e49363 WHIRLPOOL 59d186f5e9176db25e5991e8088417ac778953c3ed2f0dcef034968f7ea695c5d4cfea81759ac0f7f1290c3842d9d0339b5b74d2d90ec8b333135aa1b986ca10
DIST cuda_8.0.44_linux.run 1457082926 SHA256 64dc4ab867261a0d690735c46d7cc9fc60d989da0d69dc04d1714e409cacbdf0 SHA512 1bf9d8e6b853c2a971b8d908a043adc5b11ec7033faed04a773c42680882753f98bc33b46f6b301c24c0f780f74bc237dce5766fc857f1a905e6c1f200728d86 WHIRLPOOL e90fa2088cd70aef2794c1ce2db126d6186bc3c44d14c1cf7cb4a66f889cbb4799485d1d71ab045e2dfaed9bfabcea224ca04b7f97e9bce061ac9fbd31c62fdd
+DIST cuda_8.0.61_375.26_linux.run 1465528129 SHA256 9ceca9c2397f841024e03410bfd6eabfd72b384256fbed1c1e4834b5b0ce9dc4 SHA512 d22303719a9feff64f95bf6a966f1caa2bf0cf8c955e475ce08ce54faa5e098d336c2db223ef0185c1f23b9c52b7d2f81a63515485219cfc016d72bda979248b WHIRLPOOL 650a0e8bc9ad2d0637cd4a82a057bf77e613559d1080a86009f594c73adb8879de62b26dac9d8e3f572806556bf878505382479e596d4ce91929ab94b882489a
diff --git a/dev-util/nvidia-cuda-toolkit/nvidia-cuda-toolkit-8.0.61.ebuild b/dev-util/nvidia-cuda-toolkit/nvidia-cuda-toolkit-8.0.61.ebuild
new file mode 100644
index 00000000000..b37f4dcab29
--- /dev/null
+++ b/dev-util/nvidia-cuda-toolkit/nvidia-cuda-toolkit-8.0.61.ebuild
@@ -0,0 +1,135 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit check-reqs cuda toolchain-funcs unpacker versionator
+
+MYD=$(get_version_component_range 1-2)
+DRIVER_PV="375.26"
+
+DESCRIPTION="NVIDIA CUDA Toolkit (compiler and friends)"
+HOMEPAGE="https://developer.nvidia.com/cuda-zone"
+SRC_URI="https://developer.nvidia.com/compute/cuda/${MYD}/Prod2/local_installers/cuda_${PV}_${DRIVER_PV}_linux-run -> cuda_${PV}_${DRIVER_PV}_linux.run"
+SLOT="0/${PV}"
+LICENSE="NVIDIA-CUDA"
+KEYWORDS="-* ~amd64 ~amd64-linux"
+IUSE="debugger doc eclipse profiler"
+
+DEPEND=""
+RDEPEND="${DEPEND}
+ >=sys-devel/gcc-4.7[cxx]
+ >=x11-drivers/nvidia-drivers-375.26[X,uvm]
+ debugger? (
+ sys-libs/libtermcap-compat
+ sys-libs/ncurses:5/5[tinfo]
+ )
+ eclipse? ( >=virtual/jre-1.6 )
+ profiler? ( >=virtual/jre-1.6 )"
+
+S="${WORKDIR}"
+
+QA_PREBUILT="opt/cuda/*"
+
+CHECKREQS_DISK_BUILD="3500M"
+
+pkg_setup() {
+ # We don't like to run cuda_pkg_setup as it depends on us
+ check-reqs_pkg_setup
+}
+
+src_unpack() {
+ unpacker
+ unpacker run_files/cuda-linux*.run
+}
+
+src_prepare() {
+ local cuda_supported_gcc
+
+ cuda_supported_gcc="4.7 4.8 4.9 5.3 5.4"
+
+ sed \
+ -e "s:CUDA_SUPPORTED_GCC:${cuda_supported_gcc}:g" \
+ "${FILESDIR}"/cuda-config.in > "${T}"/cuda-config || die
+
+ default
+}
+
+src_install() {
+ local i remove=( doc jre run_files install-linux.pl cuda-installer.pl )
+ local cudadir=/opt/cuda
+ local ecudadir="${EPREFIX}${cudadir}"
+
+ if use doc; then
+ DOCS+=( doc/pdf/. )
+ HTML_DOCS+=( doc/html/. )
+ fi
+ einstalldocs
+
+ mv doc/man/man3/{,cuda-}deprecated.3 || die
+ doman doc/man/man*/*
+
+ use debugger || remove+=( bin/cuda-gdb extras/Debugger extras/cuda-gdb-${PV}.src.tar.gz )
+
+ if use profiler; then
+ # hack found in install-linux.pl
+ for i in nvvp nsight; do
+ cat > bin/${i} <<- EOF || die
+ #!/usr/bin/env sh
+ LD_LIBRARY_PATH=\${LD_LIBRARY_PATH}:${ecudadir}/lib:${ecudadir}/lib64 \
+ UBUNTU_MENUPROXY=0 LIBOVERLAY_SCROLLBAR=0 \
+ ${ecudadir}/lib${i}/${i} -vm ${EPREFIX}/usr/bin/java
+ EOF
+ chmod a+x bin/${i} || die
+ done
+ else
+ use eclipse || remove+=( libnvvp libnsight )
+ remove+=( extras/CUPTI )
+ fi
+
+ for i in "${remove[@]}"; do
+ ebegin "Cleaning ${i}..."
+ rm -rf "${i}" || die
+ eend
+ done
+
+ dodir ${cudadir}
+ mv * "${ED%/}${cudadir}" || die
+
+ cat > "${T}"/99cuda <<- EOF || die
+ PATH=${ecudadir}/bin$(usex profiler ":${ecudadir}/libnvvp" "")
+ ROOTPATH=${ecudadir}/bin
+ LDPATH=${ecudadir}/lib64:${ecudadir}/lib:${ecudadir}/nvvm/lib64
+ EOF
+ doenvd "${T}"/99cuda
+
+ use profiler && \
+ make_wrapper nvprof "${ecudadir}/bin/nvprof" "." "${ecudadir}/lib64:${ecudadir}/lib"
+
+ dobin "${T}"/cuda-config
+}
+
+pkg_postinst_check() {
+ local a b
+ a="$(version_sort $(cuda-config -s))"; a=( $a )
+ # greatest supported version
+ b="${a[${#a[@]}-1]}"
+
+ # if gcc and if not gcc-version is at least greatest supported
+ if tc-is-gcc && \
+ ! version_is_at_least gcc-version ${b}; then
+ ewarn ""
+ ewarn "gcc >= ${b} will not work with CUDA"
+ ewarn "Make sure you set an earlier version of gcc with gcc-config"
+ ewarn "or append --compiler-bindir= pointing to a gcc bindir like"
+ ewarn "--compiler-bindir=${EPREFIX}/usr/*pc-linux-gnu/gcc-bin/gcc${b}"
+ ewarn "to the nvcc compiler flags"
+ ewarn ""
+ fi
+}
+
+pkg_postinst() {
+ if [[ ${MERGE_TYPE} != binary ]]; then
+ pkg_postinst_check
+ fi
+}